#
# TCMK0601 / MSP3417D startup for Radio2, global configuration
#

# RX to Groningen Airport Tower
set if 33400
# Tower 118.7 MHz
#rxset 118700
# ATIS 133.55 MHz
rxset 133550
# VOR 112.4 MHz (weak signal)
#rxset 112400
# Approach 120.3 MHz
#rxset 120300

# Init MSP3417
reset3417

# General programming demodulator

# AD_CV
#
# 15 .. 10 : not used, set to 0
#	9  : MSP Carrier Mute Function, 0
#	8  : SIF source, 0 (ANA_IN1+)
#	7  : Automatic Gain Constant, constant_gain:0 automatic_gain:1
#  6 .. 1  : Gain level / Gain reference, 
#	0  : not used, 0
#
# 15 14 13 12 11 10  9  8  7  6  5  4  3  2  1  0
# -----------------------------------------------
#  0  0  0  0  0  0  0  0  0  1  0  0  1  1  0  0
#
reg3417 dem 00bb 004c

# FIR1
# -8 -8 4 6 78 107 (BW = 280 KHz)
reg3417 dem 0001 6b
reg3417 dem 0001 4e
reg3417 dem 0001 06
reg3417 dem 0001 04
reg3417 dem 0001 f8
reg3417 dem 0001 f8

# FIR2
# -4 -12 -9 23 79 126 (AM)
reg3417 dem 0005 4
reg3417 dem 0005 40
reg3417 dem 0005 0
reg3417 dem 0005 7e
reg3417 dem 0005 4f
reg3417 dem 0005 17
reg3417 dem 0005 f7
reg3417 dem 0005 f4
reg3417 dem 0005 fc

# MODE_REG
#
#	15 : AM gain, 1 (12 db)
#	14 : ADR, 0 (normal)
#	13 : FIR1 set, 0 (use FIR1)
#	12 : MSP Ch 1 gain, 0 (6 db)
# 11 .. 10 : not used, 0
#	9  : HDEV, 0 (normal)
#	8  : FM/AM, 1 (AM)
#	7  : not used, 0
#	6  : MSP-Ch1 mode, 1 (AM)
#	5  : AUD_CL_OUT, 1 (tri-state)
#	4  : I2S_WS mode, 0 (Sony)
#	3  : I2S mode, 1 (slave)
#	2  : I2S_TRI, 1 (tri-state)
#	1  : DCTR_TRI, 1 (tri-state)
#	0  : not used, 0
#
# 15 14 13 12 11 10  9  8  7  6  5  4  3  2  1  0
# -----------------------------------------------
#  1  0  0  0  0  0  0  1  0  1  1  0  1  1  1  0
#
reg3417 dem 0083 816e

# DCO1
# 5.5 MHz: 0x4c638e
reg3417 dem 0093 38e
reg3417 dem 009b 4c6

# DCO2
# 5.5 MHz: 0x4c638e
reg3417 dem 00a3 38e
reg3417 dem 00ab 4c6

# ????
reg3417 dem 56 0
# 15 14 13 12 11 10  9  8  7  6  5  4  3  2  1  0
# -----------------------------------------------
#  0  0  0  0  1  0  0  0  0  0  0  0  0  0  0  1
reg3417 dem 0021 0801

# General programming audio programming unit

# DSP source
#reg3417 dsp 000a 0020
reg3417 dsp 000a 0010

# DSP matrix
# H: Volume prescale AM
reg3417 dsp 000e 7c00

# DSP SCART1 volume
# Output connected to SCART output
# Logarithmic scale
reg3417 dsp 0007 6301

# DSP SCART switching
reg3417 dsp 0013 3f20

# QPD
reg3417 dsp 000c 0030

# Info
print Tower: rxset 118700
print ATIS: rxset 133550
print VOR: rxset 112400
print Approach: rxset 120300
