/* TA1243 commands
 */

#include <stdio.h>
#ifdef	MSDOS
#include <io.h>
#include <dos.h>
#endif
#include <fcntl.h>
#include <sys/stat.h>
#include <string.h>
#include "global.h"
#include "i2c.h"
#include "ta1243.h"

#define	DISPSIZE	256

extern	int	i2c_verbose;
extern	int	ifd;

/* Global variables */
 
/* Calculate N10-N1 */
int
docalc1243(argc,argv,p)
int argc;
char *argv[];
void *p;
{
	unsigned long freq,n;

	if (argc != 2) {
		printf("Usage: calc freq (KHz)\n");
		return(1);
	}
	freq = atol(argv[1]);
	n = (freq - 250) / 1000;
	printf("Freq=%d.%03d MHz, n=0x%x\n",freq/1000,freq%1000,n);
	printf("%02x %02x %02x %02x\n",
			0x8e,
			0xc8,
			0x40 | (n >> 4),	/* TSG on */
			((n & 0xf) << 4) | 0x04
		);
}

/* Load C1, C2, PD1 and PD2 */
int
dold1243(argc,argv,p)
int argc;
char *argv[];
void *p;
{
	int fd,len;
	unsigned char address,data[4];

	if (argc != 5) {
		printf("Usage: load c1 c2 pd1 pd2\n");
		return(1);
	}

	address = 0xca;
	data[0] = htoi(argv[1]);	/* C1 */
	data[1] = htoi(argv[2]);	/* C2 */
	data[2] = htoi(argv[3]);	/* PD1 */
	data[3] = htoi(argv[4]);	/* PD2 */
	printf("Loading to %02x: %02x %02x %02x %02x\n",
			address,data[0],data[1],data[2],data[3]);

	if (i2c_write(ifd,ADDR_TA1243,data,4)) {
		i2c_perror("write");
		return(1);
	}

	return(0);
}

