#!/usr/bin/env python
#
# CXA3235 TV Tuner IC with PLL
#

import usb
import i2c_tiny_usb

CXA3235_ADDR = 0x60

class Cxa3235Device(object) :

    def __init__(self,i2cDev,address) :
	self.i2cDev = i2cDev
	self.handle = i2cDev.handle
	self.address = address

	# Probe CXA3235_ADDR
	if self.i2cDev.i2cProbe(self.address) == True:
	    print "CXA3235 detected"
	else :
	    print "No CXA3235 found"

    def ReadStatus(self) :
	return self.i2cDev.i2cRead(self.address, 1)[0]

    def SetFrequency(self,f) :
	# F in KHz
	if  f < 210000 :
	    cbyte = 0x01
	elif f < 400000 :
	    cbyte = 0x02
	else :
	    cbyte = 0x08
	fvco = f + 33400
	n = fvco / 50
	m = int (n / 32)
	s = n % 32
	wdata = [ (m >> 3) & 0xff,			# D1
		    ((m & 0x07) << 5) | (s & 0x1f),	# D2
		    0xc0,				# C
		    cbyte				# SW
		  ]
	self.i2cDev.i2cWrite(self.address, wdata)
	if self.i2cDev.getStatus()[0] == self.i2cDev.STATUS_ADDRESS_ACK :
	    pass
	    #print "CXA3235 loaded, f =", f, "KHz"
	else :
	    print "CXA3235 not loaded"

if __name__ == "__main__" :
    i2cTinyUsbDev = i2c_tiny_usb.I2cTinyUsbDevice()
    handle = i2cTinyUsbDev.open()
    i2cTinyUsbDev.setDelay(10)

    cxa3235Dev = Cxa3235Device(i2cTinyUsbDev, CXA3235_ADDR)
    print "CXA3235 status :", hex(cxa3235Dev.ReadStatus())
    cxa3235Dev.SetFrequency(100400)

