#!/usr/bin/env python
#
# TA1243 RF modulator
#

import usb
import i2c_tiny_usb

TA1243_ADDR = 0x65

class Ta1243Device(object) :

    def __init__(self,i2cDev,address) :
	self.i2cDev = i2cDev
	self.handle = i2cDev.handle
	self.address = address

	# Probe DS1621
	if self.i2cDev.i2cProbe(self.address) == True:
		print "TA1243 detected"

    def setFrequency(self,f) :
	# F in KHz
	n = int((f - 250) / 1000)
	i2cData = [ 0x8e,
		    0xc8,
		    0x40 | (n >> 4),
		    0x04 | ((n & 15) << 4)
		  ]
	self.i2cDev.i2cWrite(self.address, i2cData)
	if self.i2cDev.getStatus()[0] == self.i2cDev.STATUS_ADDRESS_ACK :
	    print "TA1243 loaded, f =", f, "KHz"
	else :
	    print "TA1243 not loaded"

if __name__ == "__main__" :
    i2cTinyUsbDev = i2c_tiny_usb.I2cTinyUsbDevice()
    handle = i2cTinyUsbDev.open()
    i2cTinyUsbDev.setDelay(10)

    ta1243Dev = Ta1243Device(i2cTinyUsbDev, TA1243_ADDR)
    ta1243Dev.setFrequency(600250)

